<?php
/************************************************************************/
/* NPDS : Net Portal Dynamic System                 */
/* ================================                 */
/*                                  */
/* Original Copyright (c) 2001 by Francisco Burzi (fburzi@ncc.org.ve)   */
/* http://phpnuke.org                           */
/*                                  */
/* This version name NPDS Copyright (c) 2001-2002 by Philippe Brunier   */
/************************************************************************/
/*                                  */
/* Module   : EVENT-C@LL                        */
/* Auteur   : Grald MARINO                     */
/* Mail     : webmaster@marino-g.org                */
/* Site Web     : http://www.marino-g.org/              */
/*                                  */
/************************************************************************/
/* This program is free software. You can redistribute it and/or modify */
/* it under the terms of the GNU General Public License as published by */
/* the Free Software Foundation; either version 2 of the License.   */
/************************************************************************/

include ("modules/event-call/versioncheck.inc.php");
require "modules/event-call/cal_config.php";

# some settings of vars
if (!isset($subop))
  $subop = '';
if (!isset($day))
  $day = '';
if (!isset($month))
  $month = '';
if (!isset($year))
  $year = '';
if (!isset($date))
  $date = '';
if (!isset($id))
  $id = '';
if (!isset($uname))
  $uname = '';

if (!isset($timeout))
  $timeout = 7200 ;

// flush the cache so that after logout, this page must be refreshed to login.
// Omitted no cache to allow retention on info when going back
//if (($subop!="eventform")&&($subop!="edit"))  header("Cache-Control: no-store, no-cache, must-revalidate");

# navbar at the top
$m = correctTime("n");
$y = correctTime("Y");
$d = correctTime("j");

/***************************/
/* get weeknumber function */
/***************************/

function weekNumber($wday,$wmonth,$wyear) {
global $admin, $ModPath, $ModStart, $subop,$DTCONFIG ;
    $firstdayofyear = date("w", mktime(0,0,0,1,1,$wyear)) ;
    $dayoffset = $firstdayofyear - 0 - 6;   // replace $DTCONFIG[3] with 0 to make week count start on sunday
    if (substr($wmonth,0,1) == "0"){ $wmonth = str_replace("0","",$wmonth);}
    if (substr($wday,0,1) == "0"){ $wday = str_replace("0","",$wday);}
    $WeekNumber = ceil(((date("z", mktime(0,0,0,$wmonth,$wday,$wyear)))+$dayoffset) / 7) + 1;
    settype($WeekNumber,"integer");
    return $WeekNumber;
}

// check if there is a week 53 to display based on weekstartday
function showWeek53($cyear) {
    $ShowWeek53 = false ;
    $weeknum = weekNumber(31,12,$cyear) ;
    if ($weeknum>52) $ShowWeek53 = $weeknum ;
    settype($ShowWeek53,"integer");
    return $ShowWeek53 ;
}

/*****************/
/* back function */
/*****************/
function back(){
  global $admin, $ModPath, $ModStart, $subop,$menufont,$closefont ;
  echo "<p align=\"center\">".$menufont."<a href='Javascript:history.back();'>".translate_event_call("Back")."</a>".$closefont."</p>\n";
}

// variables used for dynamically generating javascript redirects
$hd = $d ;
$hm = $m ;
$hy = $y ;
if ($date){
  if ($day=='') $hd = substr($date,8,2) ;
  else $hd = $day ;
  if ($month=='') $hm = substr($date,5,2) ;
  else $hm = $month ;
  if ($year=='') $hy = substr($date,0,4) ;
  else $hy = $year ;
}
if ($subop=="cal") { $hm = $month ; $hy = $year ; }     // to handle monthly views
// ensure it does not exceed the max or min year set so scripts cannot jump beyond the restricted dates
if ($hy>($y+$DTCONFIG[5])) { $hy = $y+$DTCONFIG[5] ; $hm = 12 ; $hd = 31 ; }
if ($hy<$DTCONFIG[4]) { $hy = $DTCONFIG[4] ; $hm = 1 ; $hd = 1 ; }

echo "        <script language=\"javascript\">\n" ;
echo "            <!--\n" ;
echo "          function MM_openBrWindow(theURL,winName,features) { //v2.0  \n" ;
echo "            window.open(theURL,winName,features);  \n" ;
echo "      }\n" ;
echo "      //-->\n" ;
echo "  </script>\n\n" ;

//if (($subop!="eventform")&&($subop!="addevent")&&($subop!="hist")&&($subop!="smallcal")&&($subop!="yearcal")&&($subop!="settings")&&($subop!="hols")&&($subop!="set")&&($subop!="delev")&&($subop!="cats")) {
if (($subop!="eventform")&&($subop!="addevent")&&($subop!="hist")&&($subop!="smallcal")&&($subop!="settings")&&($subop!="hols")&&($subop!="set")&&($subop!="delev")&&($subop!="cats")) {
  include ("modules/event-call/admin/cal_adminscript.php") ;
}

// for stylesheet inclusion for mouseover effects on text, hyperlinks
if ($STYLEUSE[0]==1) include ("modules/event-call/stylesheet.inc");

function urlvar($uname) {
  if (($uname!="")&&($uname!="-")) echo "&uname=$uname" ;
}

echo "<table align=\"center\" width=\"100%\" border=\"0\" bgcolor=\"$PAGECLR[0]\"> <tr><td>";

echo $menufont ;
echo "<p align=\"center\">";
echo " ..: <a href=admin.php?op=logout>".translate_event_call("Logout")."</a> :..";
echo " <br />";
echo " <a href=\"admin.php?op=Extend-Admin-SubModule&ModPath=$ModPath&ModStart=admin/cal_display&subop=settings\">".translate_event_call("Display Settings")."</a>";
echo " - <a href=\"admin.php?op=Extend-Admin-SubModule&ModPath=$ModPath&ModStart=admin/cal_settings&subop=settings\">".translate_event_call("General Settings")."</a>";
echo " - <a href=\"admin.php?op=Extend-Admin-SubModule&ModPath=$ModPath&ModStart=admin/cal_text&subop=settings\">".translate_event_call("Text Settings")."</a>";
echo " <br />";
echo " <a href=\"admin.php?op=Extend-Admin-SubModule&ModPath=$ModPath&ModStart=admin/cal_history&subop=hist\">".translate_event_call("Historical Items")."</a>";
echo " - <a href=\"admin.php?op=Extend-Admin-SubModule&ModPath=$ModPath&ModStart=admin/cal_hols&subop=hols\">".translate_event_call("Holidays")."</a>";
echo " - <a href=\"admin.php?op=Extend-Admin-SubModule&ModPath=$ModPath&ModStart=admin/cal_approve&subop=approval\">".translate_event_call("Approvals")."</a>";
echo " - <a href=\"admin.php?op=Extend-Admin-SubModule&ModPath=$ModPath&ModStart=admin/cal_feesum\">".translate_event_call("Fee")."</a>";
echo " - <a href=\"admin.php?op=Extend-Admin-SubModule&ModPath=$ModPath&ModStart=admin/calendar&subop=cal&month=$m&year=$y\"" ;
urlvar($uname);
echo " >".translate_event_call("View")."</a>";
echo " - <a href=\"admin.php?op=Extend-Admin-SubModule&ModPath=$ModPath&ModStart=admin/cal_cat&subop=cats\">".translate_event_call("Categories")."</a>";
echo " - <a href=\"admin.php?op=Extend-Admin-SubModule&ModPath=$ModPath&ModStart=admin/cal_event&subop=eventform\">".translate_event_call("Add Event")."</a>";
echo " - <a href=\"modules.php?ModPath=event-call&ModStart=calendar\">".translate_event_call("User Calendar")."</a>";
echo " - <a href=\"#\" onclick=\"Javascript:window.open('modules/event-call/aide/aide.html','popupwin','toolbar=no,location=no,status=no,menubar=no,scrollbars=yes,resizable=no,width=$POPVIEW[3],height=$POPVIEW[4]');\">".translate_event_call("Help")."</a> ";
echo $closefont ;
echo " </p>";
echo "<hr />\n";
?>