<?php
/************************************************************************/
/* NPDS : Net Portal Dynamic System                 */
/* ================================                 */
/*                                  */
/* Original Copyright (c) 2001 by Francisco Burzi (fburzi@ncc.org.ve)   */
/* http://phpnuke.org                           */
/*                                  */
/* This version name NPDS Copyright (c) 2001-2002 by Philippe Brunier   */
/************************************************************************/
/*                                  */
/* Module   : EVENT-C@LL                        */
/* Auteur   : Grald MARINO                     */
/* Mail     : webmaster@marino-g.org                */
/* Site Web     : http://www.marino-g.org/              */
/*                                  */
/************************************************************************/
/* This program is free software. You can redistribute it and/or modify */
/* it under the terms of the GNU General Public License as published by */
/* the Free Software Foundation; either version 2 of the License.   */
/************************************************************************/

include ("modules/event-call/versioncheck.inc.php");
require "modules/event-call/cal_config.php";


global $ModPath, $ModStart, $admin, $subop;

# some settings of vars
if (!isset($subop))
  $subop = '';
if (!isset($day))
  $day = '';
if (!isset($month))
  $month = '';
if (!isset($year))
  $year = '';
if (!isset($date))
  $date = '';
if (!isset($id))
  $id = '';
if (!isset($uname))
  $uname = '';

if (!isset($timeout))
  $timeout = 3600 ;

// flush the cache so that after logout, this page must be refreshed to login.
// Omitted no cache to allow retention on info when going back
//if (($subop!="eventform")&&($subop!="edit"))  header("Cache-Control: no-store, no-cache, must-revalidate");

# navbar at the top
$m = correctTime("n");
$y = correctTime("Y");
$d = correctTime("j");

/***************************/
/* get weeknumber function */
/***************************/

function weekNumber($wday,$wmonth,$wyear) {
global $DTCONFIG ;
    $firstdayofyear = date("w", mktime(0,0,0,1,1,$wyear)) ;
    $dayoffset = $firstdayofyear - 0 - 6;   // replace $DTCONFIG[3] with 0 to make week count start on sunday
    if (substr($wmonth,0,1) == "0"){ $wmonth = str_replace("0","",$wmonth);}
    if (substr($wday,0,1) == "0"){ $wday = str_replace("0","",$wday);}
    $WeekNumber = ceil(((date("z", mktime(0,0,0,$wmonth,$wday,$wyear)))+$dayoffset) / 7) + 1;
    settype($WeekNumber,"integer");
    return $WeekNumber;
}

// check if there is a week 53 to display based on weekstartday
function showWeek53($cyear) {
    $ShowWeek53 = false ;
    $weeknum = weekNumber(31,12,$cyear) ;
    if ($weeknum>52) $ShowWeek53 = $weeknum ;
    settype($ShowWeek53,"integer");
    return $ShowWeek53 ;
}

/*****************/
/* back function */
/*****************/

function back(){
global $menufont, $closefont;
echo "<p align=\"center\">".$menufont."<a href='Javascript:history.back();'>".translate_event_call("Back")."</a>".$closefont."</p>\n";
}
// variables used for dynamically generating javascript redirects
$hd = $d ;
$hm = $m ;
$hy = $y ;
if ($date){
  if ($day=='') $hd = substr($date,8,2) ;
  else $hd = $day ;
  if ($month=='') $hm = substr($date,5,2) ;
  else $hm = $month ;
  if ($year=='') $hy = substr($date,0,4) ;
  else $hy = $year ;
}
if ($subop=="cal") { $hm = $month ; $hy = $year ; }     // to handle monthly views
// ensure it does not exceed the max or min year set so scripts cannot jump beyond the restricted dates
if ($hy>($y+$DTCONFIG[5])) { $hy = $y+$DTCONFIG[5] ; $hm = 12 ; $hd = 31 ; }
if ($hy<$DTCONFIG[4]) { $hy = $DTCONFIG[4] ; $hm = 1 ; $hd = 1 ; }
?>
<html>
<head><title>Calendar : Admin</title>
    <script language="javascript">
        <!--
      function MM_openBrWindow(theURL,winName,features) { //v2.0
              window.open(theURL,winName,features);
        }

    //-->
     </script>
<?php
if (($subop!="eventform")&&($subop!="addevent")&&($subop!="hist")&&($subop!="smallcal")&&($subop!="yearcal")&&($subop!="settings")&&($subop!="hols")&&($subop!="set")&&($subop!="delev")&&($subop!="cats"))
{
    include ("modules/event-call/admin/cal_adminscript.php");
}
// for stylesheet inclusion for mouseover effects on text, hyperlinks
if ($STYLEUSE[0]==1) include ("modules/event-call/stylesheet.inc");
?>
</head>
<body bgcolor="<?phpecho $PAGECLR[0]?>" alink="<?phpecho $PAGECLR[1]?>" link="<?phpecho $PAGECLR[2]?>" vlink="<?phpecho $PAGECLR[3]?>">
<?php
include ("modules/$ModPath/popup.php");
?>